<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7FCDB0D9-AA7D-44E4-BE74-55312B432389}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AssemblyName>MonoDevelop.GtkCore</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\build\AddIns\MonoDevelop.GtkCore</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\..\build\AddIns\MonoDevelop.GtkCore</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <Execution>
      <Execution clr-version="Net_2_0" />
    </Execution>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Xml" />
    <Reference Include="Mono.Posix" />
    <Reference Include="Mono.Addins, Version=0.4.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="glade-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="glib-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="pango-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="atk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="gdk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
    <Reference Include="gtk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\core\MonoDevelop.Core\MonoDevelop.Core.csproj">
      <Project>{7525BB88-6142-4A26-93B9-A30C6983390A}</Project>
      <Name>MonoDevelop.Core</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Core.Gui\MonoDevelop.Core.Gui.csproj">
      <Project>{659B0888-3956-4040-BDB1-B45F6D64E7FA}</Project>
      <Name>MonoDevelop.Core.Gui</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Ide\MonoDevelop.Ide.csproj">
      <Project>{27096E7F-C91C-4AC6-B289-6897A701DF21}</Project>
      <Name>MonoDevelop.Ide</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Projects\MonoDevelop.Projects.csproj">
      <Project>{04BED15A-DDC5-48BC-A36C-3E360A0348C0}</Project>
      <Name>MonoDevelop.Projects</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Components\MonoDevelop.Components.csproj">
      <Project>{3344D566-484B-4AEC-BBCF-86BC484D14B0}</Project>
      <Name>MonoDevelop.Components</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\MonoDevelop.DesignerSupport\MonoDevelop.DesignerSupport.csproj">
      <Project>{2C24D515-4A2C-445C-8419-C09231913CFA}</Project>
      <Name>MonoDevelop.DesignerSupport</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\contrib\Mono.Cecil\Mono.Cecil.csproj">
      <Project>{3EC06433-F168-4C5B-A885-99CE4AB617E1}</Project>
      <Name>Mono.Cecil</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\Deployment\MonoDevelop.Deployment\MonoDevelop.Deployment.csproj">
      <Project>{9BC670A8-1851-40EC-9685-279F4C98433D}</Project>
      <Name>MonoDevelop.Deployment</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\core\MonoDevelop.Projects.Gui\MonoDevelop.Projects.Gui.csproj">
      <Project>{00E87426-F1BD-4B55-9B3E-7267EE93E002}</Project>
      <Name>MonoDevelop.Projects.Gui</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="libstetic\libstetic.csproj">
      <Project>{F870E2E7-FA64-4B2F-968A-90B36AB7AAA9}</Project>
      <Name>libstetic</Name>
    </ProjectReference>
    <ProjectReference Include="libsteticui\libsteticui.csproj">
      <Project>{7926DB5B-96A7-47A7-9870-DB42FA5C3548}</Project>
      <Name>libsteticui</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="ChangeLog" />
    <None Include="Makefile.am" />
    <None Include="icons\window.png" />
    <None Include="icons\dialog.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="MonoDevelop.GtkCore.addin.xml" />
    <EmbeddedResource Include="templates\Dialog.xft.xml">
      <LogicalName>Dialog.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\Window.xft.xml">
      <LogicalName>Window.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\Widget.xft.xml">
      <LogicalName>Widget.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\ActionGroup.xft.xml">
      <LogicalName>ActionGroup.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="gui.glade" />
    <EmbeddedResource Include="templates\ActionGroupPartial.xft.xml">
      <LogicalName>ActionGroupPartial.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\DialogPartial.xft.xml">
      <LogicalName>DialogPartial.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\WidgetPartial.xft.xml">
      <LogicalName>WidgetPartial.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\DrawingArea.xft.xml">
      <LogicalName>DrawingArea.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="templates\WindowPartial.xft.xml">
      <LogicalName>WindowPartial.xft.xml</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\widget.png">
      <LogicalName>widget.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\actiongroup.png">
      <LogicalName>actiongroup.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="icons\image-x-generic.png">
      <LogicalName>image-x-generic.png</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="gtk-gui\gui.stetic">
      <LogicalName>gui.stetic</LogicalName>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="MonoDevelop.GtkCore.Commands\GladeCommands.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\ClassUtils.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderDisplayBinding.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderProject.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderDocumentOutline.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\PropertiesWidget.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderService.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderView.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GuiBuilderWindow.cs" />
    <Compile Include="MonoDevelop.GtkCore\GtkDesignInfo.cs" />
    <Compile Include="MonoDevelop.GtkCore\GtkCoreService.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\WidgetBuilderOptionPanel.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\ProjectNodeBuilder.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\WidgetNodeBuilder.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\ProjectFolderNodeBuilderExtension.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\WindowsFolderNodeBuilder.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\WindowsFolder.cs" />
    <Compile Include="MonoDevelop.GtkCore\WidgetFileDescriptionTemplate.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\SelectRenamedClassDialog.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\BindDesignDialog.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\ConfirmWindowDeleteDialog.cs" />
    <Compile Include="MonoDevelop.GtkCore\ProjectResourceProvider.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\ActionGroupView.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\ActionGroupNodeBuilder.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\ActionGroupDisplayBinding.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\CombinedDesignView.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\CodeBinder.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\GtkProjectServiceExtension.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\ToolboxProvider.cs" />
    <Compile Include="MonoDevelop.GtkCore.NodeBuilders\StockIconsNodeBuilder.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\GtkFeatureWidget.cs" />
    <Compile Include="MonoDevelop.GtkCore.GuiBuilder\ToolboxLoader.cs" />
    <Compile Include="gtk-gui\generated.cs" />
    <Compile Include="MonoDevelop.GtkCore\ObjectsDocument.cs" />
    <Compile Include="MonoDevelop.GtkCore\WidgetParser.cs" />
    <Compile Include="MonoDevelop.GtkCore\ReferenceManager.cs" />
    <Compile Include="AssemblyInfo.cs" />
    <Compile Include="MonoDevelop.GtkCore.Dialogs\GtkDesignerOptionsPanelWidget.cs" />
    <Compile Include="gtk-gui\MonoDevelop.GtkCore.Dialogs.GtkDesignerOptionsPanelWidget.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <MonoDevelop.Autotools.MakefileInfo IntegrationEnabled="true" RelativeMakefileName="Makefile.am" BuildTargetName="" CleanTargetName="" SyncReferences="true" IsAutotoolsProject="true" RelativeConfigureInPath="../../../">
          <BuildFilesVar Sync="true" Name="FILES" />
          <DeployFilesVar />
          <ResourcesVar Sync="true" Name="RES" />
          <OthersVar />
          <GacRefVar Sync="true" Name="REFS" Prefix="-r:" />
          <AsmRefVar Sync="true" Name="REFS" Prefix="-r:" />
          <ProjectRefVar Sync="true" Name="DEPS" />
        </MonoDevelop.Autotools.MakefileInfo>
      </Properties>
    </MonoDevelop>
  </ProjectExtensions>
</Project>